config/routes.rb
Rails.application.routes.draw do
  devise_for :users, controllers: { sessions: 'users/sessions' }

  namespace :admin do
    get '/', to: 'reports#index'
    resources :users
    resources :properties
    resources :reports
    resources :bids, only: [:index, :edit, :update, :destroy]
  end

  root 'home#index'
  get 'about' => 'home#about'
  get 'contact' => 'home#contact'
  get 'price' => 'home#price'
  get 'order' => 'home#order'
  post 'orders' => 'home#create_order'

end

app/views/layouts/_navbar.html.erb
<nav class="navbar navbar-default navbar-fixed-top navbar-top">
  <div class="container-fluid">
    <div class="navbar-header">
      <button type="button" class="navbar-expand-toggle">
        <i class="fa fa-bars icon"></i>
      </button>
      <ol class="breadcrumb navbar-breadcrumb">
        <li class="active">Dashboard</li>
      </ol>
      <button type="button" class="navbar-right-expand-toggle pull-right visible-xs">
        <i class="fa fa-th icon"></i>
      </button>
    </div>
    <ul class="nav navbar-nav navbar-right">
      <button type="button" class="navbar-right-expand-toggle pull-right visible-xs">
        <i class="fa fa-times icon"></i>
      </button>
      <li class="dropdown">
        <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-expanded="false"><i class="fa fa-comments-o"></i></a>
        <ul class="dropdown-menu animated fadeInDown">
          <li class="message">
            No new notification
          </li>
        </ul>
      </li>
      <li class="dropdown profile">
        <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-expanded="false">Hi, User <span class="caret"></span></a>
        <ul class="dropdown-menu animated fadeInDown">
          <li>
            <div class="profile-info">
              <h4 class="username"><%= current_user.first_name %></h4>
              <p><%= current_user.email %></p>
              <div class="btn-group margin-bottom-2x" role="group">
                  <button type="button" class="btn btn-default"><i class="fa fa-sign-out"></i> <%= link_to "Logout", destroy_user_session_path,  :method => :delete %> </button>
              </div>
            </div>
          </li>
        </ul>
      </li>
    </ul>
  </div>
</nav>

app/views/layouts/_sidebar.html.erb
<div class="side-menu sidebar-inverse">
    <nav class="navbar navbar-default" role="navigation">
        <div class="side-menu-container">
            <div class="navbar-header">
                <a class="navbar-brand" href="#">
                    <div class="icon fa fa-paper-plane"></div>
                    <div class="title">Admin V.2</div>
                </a>
                <button type="button" class="navbar-expand-toggle pull-right visible-xs">
                    <i class="fa fa-times icon"></i>
                </button>
            </div>
            <ul class="nav navbar-nav">
                <li class="active">
                    <a href="/">
                        <span class="icon fa fa-tachometer"></span><span class="title">Dashboard</span>
                    </a>
                </li>
                <li class="panel panel-default dropdown">
                    <a data-toggle="collapse" href="#dropdown-master">
                        <span class="icon fa fa-desktop"></span><span class="title">Master Data</span>
                    </a>
                    <!-- Dropdown level 1 -->
                    <div id="dropdown-master" class="panel-collapse collapse">
                        <div class="panel-body">
                            <ul class="nav navbar-nav">
                                <li><%= link_to 'Master Data', admin_properties_path %>
                                </li>
                            </ul>
                        </div>
                    </div>
                </li>
                <li class="panel panel-default dropdown">
                    <a data-toggle="collapse" href="#dropdown-report">
                        <span class="icon fa fa-table"></span><span class="title">Laporan</span>
                    </a>
                    <!-- Dropdown level 1 -->
                    <div id="dropdown-report" class="panel-collapse collapse">
                        <div class="panel-body">
                            <ul class="nav navbar-nav">
                              <li><%= link_to 'Laporan', admin_reports_path %>
                              </li>
                            </ul>
                        </div>
                    </div>
                </li>
                <li class="panel panel-default dropdown">
                    <a data-toggle="collapse" href="#dropdown-order">
                        <span class="icon fa fa-file-text-o"></span><span class="title">Order</span>
                    </a>
                    <!-- Dropdown level 1 -->
                    <div id="dropdown-order" class="panel-collapse collapse">
                        <div class="panel-body">
                            <ul class="nav navbar-nav">
                              <li><%= link_to 'Order', admin_bids_path %>
                              </li>
                            </ul>
                        </div>
                    </div>
                </li>
                <li class="panel panel-default dropdown">
                    <a data-toggle="collapse" href="#dropdown-user">
                        <span class="icon fa fa-user"></span><span class="title">User</span>
                    </a>
                    <!-- Dropdown level 1 -->
                    <div id="dropdown-user" class="panel-collapse collapse">
                        <div class="panel-body">
                            <ul class="nav navbar-nav">
                                <li><%= link_to 'User Data', admin_users_path %>
                                </li>
                            </ul>
                        </div>
                    </div>
                </li>
            </ul>
        </div>
        <!-- /.navbar-collapse -->
    </nav>
</div>

app/views/layouts/application.html.erb
<!DOCTYPE html>
<html>
<head>
  <title>Meat</title>
  <%= stylesheet_link_tag    'application', media: 'all', 'data-turbolinks-track' => true %>
  <%= javascript_include_tag 'application', 'data-turbolinks-track' => true %>
  <%= csrf_meta_tags %>
</head>

<body class="flat-blue">
  <div class="app-container">
    <div class="row content-container">
      <%= render 'layouts/navbar' %>
      <%= render 'layouts/sidebar' %>
      <%= yield %>
    </div>
  </div>
</body>
</html>

app/views/layouts/home.html.erb
<!DOCTYPE html>
<html>
<head>
    <title> Meat
    </title>
</head>
<%= stylesheet_link_tag    'home', media: 'all', 'data-turbolinks-track' => true %>
<%= javascript_include_tag 'home', 'data-turbolinks-track' => true %>
<%= csrf_meta_tags %>
<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
<body>
  <div class="row header">
    <div class="container">
      <nav class="navbar navbar-default" role="navigation">
        <!-- Brand and toggle get grouped for better mobile display -->
        <div class="navbar-header">
          <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-ex1-collapse">
            <span class="sr-only">Toggle navigation</span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
          </button>
          <!-- <a class="navbar-brand" href="#">LOGO COMPANY<img src="#" alt=""></a> -->
          <a class="navbar-brand" href="#">LOGO COMPANY</a>
          </a>
        </div>
        <!-- Collect the nav links, forms, and other content for toggling -->
        <div class="collapse navbar-collapse navbar-ex1-collapse navbar-right">
          <ul class="nav navbar-nav">
            <li><%= link_to 'Home', root_path %></li>
            <li><%= link_to 'About', about_path %></li>
            <li><%= link_to 'Contact Us', contact_path %></li>
            <li><%= link_to 'Price', price_path(:format => :pdf ), method: 'get' %></li>
            <li><%= link_to 'Order', order_path %></li>
          </ul>
        </div><!-- /.navbar-collapse -->
      </nav>
    </div>
  </div>

  <%= yield %>

  <footer class="footer">
    <div class="container">
      <hr>
      <p>121 Melati Road, Jakarta, ON M8Z 5K7 <%= link_to 'Contact Us', contact_path %></p>
    </div>
  </footer>

</body>

</html>

app/views/layouts/user.html.erb
<!DOCTYPE html>
<html>
<head>
  <title>Meat</title>
  <%= stylesheet_link_tag    'application', media: 'all', 'data-turbolinks-track' => true %>
  <%= javascript_include_tag 'application', 'data-turbolinks-track' => true %>
  <%= csrf_meta_tags %>
</head>

<body class="flat-blue login-page">
    <div class="container">
      <%= yield %>
    </div>
</body>
</html>